Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.ra.domain
Class Actor.Builder

    java.lang.Object
      be.fgov.ehealth.technicalconnector.ra.domain.Actor.Builder

Enclosing class:
  Actor

    public static final class Actor.Builder

extends Object

`Actor` builder static inner class.

Method Summary
`Actor` | `build()` Returns a `Actor` built from the parameters previously set.
`Actor.Builder` | `firstNames(List<String> firstNames)` Sets the `firstNames` and returns a reference to this Builder so that the methods can be chained together.
`Actor.Builder` | `ids(List<ActorId> ids)` Sets the `ids` and returns a reference to this Builder so that the methods can be chained together.
`Actor.Builder` | `name(String name)` Sets the `name` and returns a reference to this Builder so that the methods can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### ids

    public Actor.Builder ids(List<ActorId> ids)

  Sets the `ids` and returns a reference to this Builder so that the methods can be chained together.

  Parameters:
    `ids` - the `ids` to set
  Returns:
    a reference to this Builder

### firstNames

    public Actor.Builder firstNames(List<String> firstNames)

  Sets the `firstNames` and returns a reference to this Builder so that the methods can be chained together.

  Parameters:
    `firstNames` - the `firstNames` to set
  Returns:
    a reference to this Builder

### name

    public Actor.Builder name(String name)

  Sets the `name` and returns a reference to this Builder so that the methods can be chained together.

  Parameters:
    `name` - the `name` to set
  Returns:
    a reference to this Builder

### build

    public Actor build()

  Returns a `Actor` built from the parameters previously set.

  Returns:
    a `Actor` built with parameters of this `Actor.Builder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.